
# keep close to density of about 0.4 hosts per field but select
# field width which can be devided by 10 (field size)
n=$1
N=`echo "$n" | awk '{x=$1/12; xr = (x == int(x)) ? x : int(x)+1; print xr }'`
steps=100
#worldsize=`echo "$n" | awk '{x=10000*sqrt($1/20)/$1; xr=int(x+0.5); print xr*$1}'`
worldsize=`echo "$n" | awk '{x=10000*sqrt($1/20)/10; xr=int(x+0.5); print xr*10}'`
nhosts=`echo "$n" | awk '{x=int(40000000*$1/20+0.5); print x}'`
time=30
dens=`echo "$nhosts $worldsize" | awk '{print $1/($2*$2)}'`

filename="jobN$N""_n$n.tmp.slurm"

echo "#!/bin/sh" > $filename
echo "#comment: density is $dens" >> $filename
echo "#SBATCH --time=$time" >> $filename
echo "#SBATCH -N $N -n $n" >> $filename
echo "#SBATCH --error=jobN$N""_n$n.err --output=N$N""_n$n""_$steps""st_10mH_job.out" >> $filename

echo "export VT_FILE_PREFIX=N$N""_n$n""_$steps""st_10mH" >> $filename
echo "export VT_BUFFER_SIZE=1024M" >> $filename
echo "export VT_THREAD_BUFFER_SIZE=\$VT_BUFFER_SIZE" >> $filename
echo "export VT_MAX_FLUSHES=0" >> $filename
echo "export VT_MODE=STAT" >> $filename
echo "export VT_CLEAN=YES" >> $filename

echo "mpiexec hostname" >> $filename
echo "mpiexec ./infect_sim_parall.x $worldsize $nhosts 30.0 $steps 0 0" >> $filename

#sbatch job.tmp.slurm
