//
// mpi_datatypes.h
// Infektsimulation
//
// Created on 08.09.13.
// Alexander Droste & Florian Flachsenberg
//

#ifndef MPI_DATATYPES_H
#define MPI_DATATYPES_H

#include <mpi.h>
#include "datatypes.h"

#define tag_host 0
#define tag_infect 1

#define MPI_PERCENT MPI_FLOAT

// if included declare global variables extern
// in all cases except in mpi_datatypes.h
// (arbitrary)
#ifdef DATATYPE_INIT
  #define EXTERN
#else
  #define EXTERN extern
#endif

EXTERN MPI_Datatype mpi_infectionProb, mpi_agent, mpi_host, mpi_position, 
       mpi_hostForInfection, mpi_coordinates;

void initialize_mpi_datatypes();

#endif
