#! /usr/bin/env Rscript

library(ggplot2)
library(reshape2)
args <- commandArgs(trailingOnly = TRUE)

pdf(paste(args[1],".pdf",sep=""))
inf_pal <- c("greenyellow", "orange1", "indianred", "gray22")
data_table <- read.table(args[1], header=TRUE, sep = ";")
n <- melt(data_table, id.vars="time", measure.vars=c("healthy","infected","ill","died"),variable.name="state", value.name="count")
g <- ggplot(n, aes(x = time, y = count, fill = state)) + geom_area() +
    scale_fill_manual(values=inf_pal)
print(g)
