#! /usr/bin/env Rscript

library(ggplot2)
pdf("out.pdf")
data_table <- read.table("stdin", header=TRUE, sep=";")
data_table <- data_table[order(data_table$n),]

reference <- data_table[1,3]

data_table$speedup <- apply(data_table, 1, function(row) reference/row[3])

speed_func <- function(p, f) {
	reference/(reference*((1-f) + f/p))
}
py <- nls(speedup ~ speed_func(n, f), data = data_table, start = list(f = 0.5))
summary(py)
plot_data <- data.frame(n=seq(0, max(data_table$n)))
plot_data$speedup <- predict(py, plot_data)

g <- ggplot() + geom_point(data=data_table, aes(x=n,y=speedup,color=N)) + 
  geom_line(data=plot_data, aes(x=n, y=speedup)) + scale_colour_gradientn(colours=rainbow(5))

print(g)
